Bug 8464 - Konqueror doesn't redirect to Mageia page
: Konqueror doesn't redirect to Mageia page
Status: REOPENED
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: Cauldron
: i586 Linux
: Normal Severity: normal
: ---
Assigned To: Mageia Bug Squad
: Atelier Team
:
: MGA4TOO MGA5TOO
: Triaged
:
:
  Show dependency treegraph
 
Reported: 2012-12-21 15:44 CET by Marek Laane
Modified: 2015-05-19 15:45 CEST (History)
7 users (show)

See Also:
Source RPM: indexhtml
CVE:


Attachments
Skewed index.html in Konqueror (73.87 KB, image/png)
2013-01-27 17:28 CET, Marek Laane
Details

Description Marek Laane 2012-12-21 15:44:45 CET
Description of problem:
As observed with Beta 1 Live DVD: first opening of Konqueror opens /usr/share/indexhtml/index.html, which, I guess, should redirect to Mageia page (probably to community page as Firefox does) but it does not happen.

(If entering http://www.mageia.org/test/lang.php to address bar, it redirects to localized, i.e. Estonian community pages, so redirection principally works but the step from indexhtml to web doesn't)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Marek Laane 2013-01-27 17:27:40 CET
Still same but I dare to say, even worse - now the index.html page is even skewed awkwardly (as seen in added picture)
Comment 2 Marek Laane 2013-01-27 17:28:41 CET
Created attachment 3441 [details]
Skewed index.html in Konqueror
Comment 3 Romain d'Alverny 2013-01-27 18:00:06 CET
That's on purpose, when the embedded script can't reach start.mageia.org. But to solve this and bug 8460, we probably will directly point browsers to start.mageia.org, without a local page, and let browsers natively handle the offline mode.
Comment 4 Malo Deniélou 2013-04-15 18:18:59 CEST
This bug is still valid for Mageia3-RC. Konqueror does not load start.mageia.org, while firefox does.
Comment 5 Sander Lepik 2013-04-15 21:16:14 CEST
It seems to be another bug where we can't do much. For some unknown reason navigator.onLine function doesn't work in Konqueror (nor in Rekonq). As it works for other browsers I would leave it as is for now.
Comment 6 Romain d'Alverny 2013-04-16 16:04:59 CEST
navigator.onLine is not used anymore (see http://svnweb.mageia.org/soft?view=revision&revision=4911). Has the package been rebuilt/resubmitted?
Comment 7 Sander Lepik 2013-04-16 16:11:13 CEST
I would say it's not pushed then. And I'm happy it's not as the new solution will be pretty ugly for user with no internet connection. What's the point to redirect it at all? It would be easier to just set new default homepage in browsers.
Comment 8 Malo Deniélou 2013-04-16 16:16:01 CEST
The package has not been pushed.
Sander: as far as I can tell, if the page is offline, the webpage will just be mageia's logo.
It should therefore be pushed and tested.
Comment 9 Sander Lepik 2013-04-16 16:54:23 CEST
http://svnweb.mageia.org/soft/indexhtml/trunk/HTML/index.html?annotate=4911&pathrev=4911#l20 shows that it's running StartPage('http://start.mageia.org/').run() 

Now if you check that function (http://svnweb.mageia.org/soft/indexhtml/trunk/HTML/script.js?annotate=4911&pathrev=4911#l11 & http://svnweb.mageia.org/soft/indexhtml/trunk/HTML/script.js?annotate=4911&pathrev=4911#l33) you can see that it is just redirecting to given url and that's it. But if the browser can't reach that url it will show ugly error page telling you to check your connection.
Comment 10 Malo Deniélou 2013-04-16 17:12:20 CEST
I tested the version in svn and it does what you say: there is an ugly error if internet is not accessible. This needs to be fixed.
Comment 11 Romain d'Alverny 2013-04-16 17:16:34 CEST
Sander: yes, it would be even better to just tell the browsers to go to start.mageia.org directly - I'm all for it. r4911 was a quick, limited change in the indexhtml package - where to look to change the URL for all browsers is not as obvious.

The rationale behind this change (directly going to start.m.o) is that this whole check & redirect behavior used to have a role back in the days when: 1) people were more likely than today to be offline a significant part of the time, 2) browsers did not handle being offline very nicely, 3) we wanted to use that offline space to market something. Now 1) is less likely to happen. 2) has been fixed several years ago. 3) we still can/do once start.mageia.org is loaded, where we can focus our efforts.
Comment 12 Malo Deniélou 2013-04-16 17:26:31 CEST
1) still happens for a lot of people around the world, and 3) it's not a heavy effort to just put our default logo and update it once every release.

I like the idea that when offline we get a default page that is not an ugly error message. If I want to look at local files, I would open firefox or konqueror and then use file>open. But it wouldn't display an horrible error message (even if I expect it).

Is it really not possible to work it out?
Comment 13 Malo Deniélou 2013-04-16 17:35:58 CEST
Could we use an index.html that simply does this?
<img src="http://www.mageia.org/images/mageia-logo.png" // or any other simple image
   onload="window.location='http://start.mageia.org';"
   onerror="window.location='file:///usr/share/indexhtml/default.html';"
>
(I saw this on stackoverflow, but I am not an HTML guru)
It looks simpler (for me) than the current javascript.
Comment 14 Romain d'Alverny 2013-04-16 17:42:58 CEST
1) it still happens, yes, but let's check the use case: it's on an operating system that is mostly distributed online, with a significant payload + it's a script in a browser (so launched with the expectation to be online at once). The "internet is off" scenario is still possible, but then, the right expectation would be to be informed of that.

3) agreed, but Konqueror being an issue again (it's been the single browser to be an issue with this script since day 1), I expected to kill the problem :p

In that case, we should revert r4911 (it works, only Konqueror doesn't like it).

(In reply to Malo Deniélou from comment #13)
> Could we use an index.html that simply does this?
> <img src="http://www.mageia.org/images/mageia-logo.png" // or any other
> simple image
>    onload="window.location='http://start.mageia.org';"
>    onerror="window.location='file:///usr/share/indexhtml/default.html';"
> >
> (I saw this on stackoverflow, but I am not an HTML guru)
> It looks simpler (for me) than the current javascript.

It is simpler. Actually, onerror, you could just do nothing (but explain that the browser is offline). I remember it used to do that in the first versions, but don't remember why it changed.
Comment 15 Dave Hodgins 2013-05-12 22:46:48 CEST
Confirmed with the final kde i586 live dvd.

Right clicking on the page and selecting open in new tab or window does work.
Comment 16 Samuel Verschelde 2015-05-06 21:04:02 CEST
Closing as OLD, please reopen with status information if needed.
Comment 17 Marek Laane 2015-05-19 10:55:30 CEST
Tried with Mageia 5 RC Live DVD (KDE, 32-bit) and yes, Konqueror still doesn't redirect to Mageia page but just opens this weirdly skewed /usr/share/indexhtml/index.html.

Note You need to log in before you can comment on or make changes to this bug.